Bug 2069738 - Encourage Dropping Unused / Leaf Packages on i686
Summary: Encourage Dropping Unused / Leaf Packages on i686
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F37Changes
TreeView+ depends on / blocked
 
Reported: 2022-03-29 15:18 UTC by Ben Cotton
Modified: 2024-01-24 21:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-15 16:22:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2022-03-29 15:18:49 UTC
This is a tracking bug for Change: Encourage Dropping Unused / Leaf Packages on i686
For more details, see: https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval

Package maintainers are empowered to stop building their packages for i686 — especially if supporting this architecture requires significant investment of time or resources. This will not apply to packages which are still depended on by other i686 packages, or which get used in a "multilib" context (i.e. for running 32-bit applications on x86_64). Dropping i686 architecture support from a leaf package will no longer be considered a breaking change, will not require any announcements, or tracker bugs.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Fabio Valentini 2022-07-20 13:25:35 UTC
I've filed a ticket with the FPC to update the Packaging Guidelines to reflect this Change.
https://pagure.io/packaging-committee/issue/1190

I'm also still working on the helper script that would let packagers decide whether it's safe to drop a specific package or not, but doing that 100% correctly for all use cases is proving to be more complicated than anticipated (though for 99% of use cases, I could provide a CLI command that's ~mostly~ correct, but might not always be).

However, given that this is basically an "announcement-only" Change, I don't think the fact that this script is not yet done should be considered blocking for the implementation of this Change.

Comment 2 Ben Cotton 2022-08-09 16:02:52 UTC
Today we reached the Code Complete (Testable) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F38, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 3 Ben Cotton 2022-08-23 19:21:11 UTC
Today we reached the Code Complete (100% complete) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F38 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 4 Fabio Valentini 2022-08-24 10:25:46 UTC
I cleaned up the script I promised:
https://pagure.io/leafdrop

So from my point of view, this change is 100% done, since it's mostly "announcement" and a little bit of "here's a small helper script".

I'll add the link to the script to the wiki page for the Change Proposal.

Is there something else I should do?
For example, I don't think packaging a single, self-contained file would be helpful in this case.

Comment 5 Ben Cotton 2022-08-24 12:30:01 UTC
Sounds good to me. Let's consider this done. I'll leave the tracking bug open until the GA release day.

Comment 6 Ben Cotton 2022-11-15 16:22:28 UTC
F37 was released today, so I am closing this tracker. If this Change was not completed, please notify me ASAP.

Comment 7 Fedora Update System 2024-01-15 09:54:46 UTC
FEDORA-2024-287a88fffd has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-287a88fffd

Comment 8 Fedora Update System 2024-01-24 11:54:16 UTC
FEDORA-2024-6d3f839766 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-6d3f839766

Comment 9 Fedora Update System 2024-01-24 21:30:13 UTC
FEDORA-2024-6d3f839766 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.